Subject: FVWM: Pixmap not shown with many colors

From: Ben Sferrazza <[email-masked]>
Date: Mon, 25 Nov 2002 12:43:14 -0800

I'm trying to add a background to my menus and used the MenuFace
TiledPixmap foo.xpm command under MenuStyle *.  The pixmap seems to load
OK, but it's displayed as the dithering of very few colors (looks
awful).  I'm using 2.5.4 on Solaris, and built fvwm with XPM and
PNG support with no problem.  My Icons, such as Netscape, appear in
color with no problem.  Do I have to explicitly specify somewhere in the
.fvwm2rc file to use a certain number of colors for pixmaps?

Thanks
Ben

---

From: Olivier Chapuis <[email-masked]>
Date: Mon, 25 Nov 2002 22:55:35 +0100

> .fvwm2rc file to use a certain number of colors for pixmaps?

Do you have a screen which can use 256 colours only?

Does the problem occur only when you use netscape or others apps which
use a lot of colours?

Is the result better with:

Colorset 5 bg average, fg the_color_you_want_as_fg, TiledPixmap foo.xpm, nodither
Style * MenuColorset 5

fvwm has a lot of options for screens which can display only a few
colours at once. Unfortunately, the doc and some of these options
was written after 2.5.4.

I suggest you use a recent snapshot and take a look at the doc (man
fvwm) for: -color-limit, -strict-color-limit, -allocate-pallet,
-static-pallet, -named-pallet.

Regards, Olivier
 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Ben Sferrazza <[email-masked]>
Date: Mon, 25 Nov 2002 15:58:12 -0800

Olivier Chapuis wrote:

> Do you have a screen which can use 256 colours only

Definitely not.  I can view the pixmap file fine with 'xv'.   Not to mention
browsing the web or viewing images certainly shows more than 256 colors.

> Does the problem occur only when you use netscape or others apps which

Problem occurs when no other apps are even open.

> -static-pallet, -named-pallet.

the 'nodither' option makes it look somewhat better, but it's still displayed with
very few colors.  When I remove 'nodither' it looks as it had when I used the
MenuFace parameter of MenuStyle.  I'll look more into these other options you
mentioned

thanks
Ben

---

From: Cameron Simpson <[email-masked]>
Date: Tue, 26 Nov 2002 13:09:45 +1100

On 15:58 25 Nov 2002, Ben Sferrazza <[email-masked]> wrote:
| Olivier Chapuis wrote:
| > On Mon, Nov 25, 2002 at 12:43:14PM -0800, Ben Sferrazza wrote:
| > > I'm trying to add a background to my menus and used the MenuFace
| > > TiledPixmap foo.xpm command under MenuStyle *.  The pixmap seems to load
| > > OK, but it's displayed as the dithering of very few colors (looks
| > > awful).  I'm using 2.5.4 on Solaris, and built fvwm with XPM and
| > > PNG support with no problem.  My Icons, such as Netscape, appear in
| > > color with no problem.  Do I have to explicitly specify somewhere in the
| > > .fvwm2rc file to use a certain number of colors for pixmaps?
| >
| > Do you have a screen which can use 256 colours only
| 
| Definitely not.  I can view the pixmap file fine with 'xv'.   Not to mention
| browsing the web or viewing images certainly shows more than 256 colors.

I would add that I am in the same boat. I have some backdrops that never seem
to come out with correct colour (look badly dithered to a small colourmap, very garish).
Whilend others that come out fine.

I'm fairly sure that it's image specific. I'll try to verify this later
today and if so, email you a "good" PNG and a "bad" PNG. With your
consent, naturally - they're probably large. And I haven't eliminated
mogrify from suspicion at my end yet, but I suspect it's not the culprit.

As with Ben, I'm using 2.5.4, full colour display.

I'm using a PNG generated from a JPG with ImageMagick's modulate command, thus:

	mogrify -modulate 70 -format PNG tmpfile.jpg

and applying it like this:

	ColorSet 0 AspectPixmap "tmpfile.png"

Internally, is FVWM on a full colour display making some kind of mapped
colour image when it sets up the Pixmap for a menu background?
-- 
Cameron Simpson, DoD#743        [email-masked]    http://www.zip.com.au/~cs/

A file that big?
It might be very useful.
But now it is gone.
- Haiku Error Messages http://www.salonmagazine.com/21st/chal/1998/02/10chal2.html

---

From: Cameron Simpson <[email-masked]>
Date: Tue, 26 Nov 2002 17:56:01 +1100

On 13:09 26 Nov 2002, IPM Return requested <[email-masked]> wrote:
| On 15:58 25 Nov 2002, Ben Sferrazza <[email-masked]> wrote:
| | Olivier Chapuis wrote:
| | > Do you have a screen which can use 256 colours only
| | Definitely not.  I can view the pixmap file fine with 'xv'.   Not to mention
| | browsing the web or viewing images certainly shows more than 256 colors.
| 
| I would add that I am in the same boat. [...]
| I'm using a PNG generated from a JPG with ImageMagick's modulate command, thus:
| 	mogrify -modulate 70 -format PNG tmpfile.jpg
[...]

Never mind. My problem turns out to be a bug in mogrify's modulate option (or
in my understanding of it).

I'll shift to using fvwm's Ting and Alpha colorset arguments.

Doh!

'Soup: This is the one that Kawasaki sent out pictures, that looks so beautiful.
Yanagawa: Yes, everybody says it's beautiful - but many problems!
'Soup: But you are not part of the design team, you're just a test rider.
Yanagawa: Yes. I just complain.
- _Akira Yanagawa Sounds Off_ @ www.amasuperbike.com
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Olivier Chapuis <[email-masked]>
Date: Tue, 26 Nov 2002 07:32:29 +0100

> MenuFace parameter of MenuStyle.  I'll look more into these other options you

The options I mention are useful only with screen with a few colours
(depth 8 screen). xdpyinfo or PrintInfo Colors (in a FvwmConsole,
output into stderr) give the information about the depth you have.
The problem is not the one I thought. Maybe a image loader bug.

Olivier

---

From: Olivier Chapuis <[email-masked]>
Date: Tue, 26 Nov 2002 07:39:30 +0100

> mogrify from suspicion at my end yet, but I suspect it's not the culprit.

Yes you can send me images. If there are large just to me.
Also, the output of xdpyinfo and PrintInfo Colors (fvwm cmd)
can be useful as well as your machine architecture and os.
 
> colour image when it sets up the Pixmap for a menu background?

No.

Olivier